import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

import Layout from '../pages/layout/Layout.vue';
// import Team from '../pages/team/index'

export const pageRoter = [
    {
        path: '/',
        component: Layout,
        redirect: '/team/index',
        // name: 'Team',
        // hidden: true,
        // children: [{
        //   path: 'team',
        //   component: {template:"<div>有机蔬菜organic</div>"}
        // }]
    },
    {
        path: '/team',
        component: Layout,
        children: [{
          path: 'index',
          name:'Team', 
          component: () => import('@/pages/team/index'),
        }]
    },
    {
        path: '/project',
        component: Layout,
        children: [{
          path: 'index',
          name:'Project', 
          component: () => import('@/pages/project/index'),
        }]
    },
    {
        path: '/product',
        component: Layout,
        children: [{
          path: 'index',
          name:'Product', 
          component: () => import('@/pages/product/index'),
        }]
    },
    {
        path: '/costType',
        component: Layout,
        children: [{
          path: 'index',
          name:'CostType', 
          component: () => import('@/pages/costType/index'),
        }]
    },
    {
        path: '/costTeam',
        component: Layout,
        children: [{
          path: 'index',
          name:'CostTeam', 
          component: () => import('@/pages/costTeam/index'),
        }]
    },
    {
        path: '/manage',
        component: Layout,
        children: [{
          path: 'index',
          name:'Manage', 
          component: () => import('@/pages/manage/index'),
        },
        {
            path: 'query',
            name:'Manage', 
            component: () => import('@/pages/manage/query'),
        },{
            path: 'cost',
            name:'Manage', 
            component: () => import('@/pages/manage/cost'),
        }]
    }
]

export default new Router({
    // mode: 'history', //后端支持可开
    scrollBehavior: () => ({ y: 0 }),
    routes: pageRoter
})